Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface PersonalizationObject

All Known Implementing Classes:
  NameValuePersonalizationObject

public interface PersonalizationObject

Interface for data objects managed by a PortletPersonalizationManager

Method Summary
`java.lang.String` | `getContentVersion()` Gets the version String associated with the content of the PersonalizationObject
`java.lang.String` | `getReferencePath()` Gets the the identifying path string used to store and retrieve the contents of this PersonalizationObject from the storage medium
`void` | `init(PortletReference ref)` Init method used to initialize the data object after instantiated via its null constructor
`void` | `read(java.io.InputStream is)` Populates the PersonalizationObject with content read from a persistent store
`void` | `setContentVersion(java.lang.String version)` Sets the version associated with the content of the PersonalizationObject.
`void` | `setReferencePath(java.lang.String path)` Optionally records the identifying path string used to store and retrieve the contents of this PersonalizationObject from the storage medium
`void` | `write(java.io.OutputStream os)` Writes the content of the PersonalizationObject to a persistent store

Method Detail

### init

    public void init(PortletReference ref)

  Init method used to initialize the data object after instantiated via its null constructor
  Parameters:
    `ref` - the PortletReference on whose behalf this data object is being intialized

### setContentVersion

    public void setContentVersion(java.lang.String version)

  Sets the version associated with the content of the PersonalizationObject. The version number is a String to allow you to define the structure of your version numbers.
  Parameters:
    `version` - version string to be associated with the content of the PersonalizationObject

### getContentVersion

    public java.lang.String getContentVersion()

  Gets the version String associated with the content of the PersonalizationObject
  Returns:
    the version String associated with the content of the PersonalizationObject

### setReferencePath

    public void setReferencePath(java.lang.String path)

  Optionally records the identifying path string used to store and retrieve the contents of this PersonalizationObject from the storage medium
  Parameters:
    `path` - identifying path against which the PersonalizationObject data is stored

### getReferencePath

    public java.lang.String getReferencePath()

  Gets the the identifying path string used to store and retrieve the contents of this PersonalizationObject from the storage medium
  Returns:
    identifying path string

### read

    public void read(java.io.InputStream is)
              throws java.io.IOException

  Populates the PersonalizationObject with content read from a persistent store
  Parameters:
    `is` - InputStream from which content should be read

### write

    public void write(java.io.OutputStream os)
               throws java.io.IOException

  Writes the content of the PersonalizationObject to a persistent store
  Parameters:
    `os` - OutputStream to which content should be written

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD